:root {
    --color-prymary: #9e895c;
    --color-complement: #c5946b;
    --color-gray: #373737;
    --color-green-militar: #403515;
    --color-green: #190926;
}

@font-face {
    font-family: 'Lato Light';
    src: url('fonts/Lato-Light.ttf') format('truetype');
}

@font-face {
    font-family: 'Oswald Bold';
    src: url('fonts/Oswald-Bold.ttf') format('truetype');
}

/* Animación para abrir el modal */
@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

* {
    margin: 0;
    padding: 0;
}

.lato {
    font-family: 'Lato Light';
}

.oswald {
    font-family: 'Oswald Bold';
}

.text-green-mil{
    color: var(--color-green-militar);
}
/* Aplica la animación al modal */
.fadeIn {
    animation: fadeIn 0.5s ease-in-out;
}

.cont {
    width: 90%;
    max-width: 1280px;
    margin: 0 auto;
    position: relative;
}

.half {
    width: 50%;
}
.third{
    width: 33.33%;
}
.flex{
    display: flex;
}
section{
    padding: 30px 0;
}
.center-cont {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

header {
    background-color: rgb(0 0 0 / 45%);
    text-align: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 15;
    padding: 10px 0;
}

header .cont {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
}

.logo img {
    max-width: 120px;
    width: 90%;
}

nav {
    margin: 0 25px;
}

nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

nav ul li {
    display: inline-block;
    margin: 0 10px;
}

nav ul li a {
    font-size: 18px;
    color: #fff;
    text-decoration: none;
}

.slider {
    width: 100%;
    height: 100vh;
    overflow: hidden;
    position: relative;
    padding: 0;
}
.slide {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.slide.active {
    opacity: 1;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.slider .hero-text {
    position: absolute;
    z-index: 10;
    width: 550px;
    right: 20px;
    top: 50%;
    margin: -15% 0 0 -25%;
}
.title-about{
    font-size: 23px;
    margin-bottom: 20px;
    width: 90%;
    max-width: 470px;
}
.nosotros .desc{
    width: 90%;
    max-width: 470px;
}
.justify{
    text-align: justify;
}

.align-right{
    text-align: right;
}

.nosotros .stroke{
    width: 60px;
    position: absolute;
    bottom: -21px;
    left: -60px;
}

.nosotros .cont{
    max-width: 1080px;
}

.bg-nosotros{
    width: 90%;
    background-size: cover;
    background-position: center;
    aspect-ratio: 3217/1834;
    max-width: 400px;
    position: relative;
}

.bg-nosotros::after{
    content: '';
}

.nosotros .margin-cont{
    margin: 25px auto;
}
.nosotros .align-center{
    align-items: center;
}

.inspira{
    padding: 70px 0;
    background-image: url(../img/inspira.jpg);
    background-position: center;
    background-size: cover;
}

.inspira .title{
    color:white;
    font-size: 40px;
    text-align: center;
    position: relative;
    width: fit-content;
    margin: 0 auto;
    text-transform: uppercase;
    margin-bottom: 100px;
}

.inspira .title::after{
    content: '';
    position: absolute;
    bottom: -20px;
    right: 0;
    width: 220px;
    height: 10px;
    background-color: var(--color-complement);
}

.inspira .cont-info{
    border: 1px solid var(--color-complement);
    color: white;
    max-width: 250px;
    aspect-ratio: 1;
    margin: 0 auto;
    padding: 10px;
    box-sizing: border-box;
    width: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
}

.inspira .cont-info .header{
    background-color: var(--color-complement);
    color: white;
    text-transform: uppercase;
    text-align: center;
    width: 120px;
    padding: 3px 0;
    position: absolute;
    top: -14px;
}

.inspira .cont-info .desc{
    color: white;
    text-align: center;
    font-size: 18px;
    line-height: 24px;
}
.pasion .cont{
    max-width: 900px;
}
.pasion .bg-pasion{
    width: 90%;
    max-width: 450px;
    margin: 0 auto;
    aspect-ratio: 653 / 450;
    background-position: center;
    background-size: cover;
    transition: transform .5s;
}

.pasion .bg-pasion:hover, .pasion .bg-pasion-one:hover{
    transform: scale(1.1);
}
.pasion .flex{
    overflow: hidden;
}
.pasion .bg-pasion-one{
    width: 95%;
    background-position: left center;
    background-size: 80%;
    background-repeat: no-repeat;
    padding: 30px 0;
    height: 450px;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: end;
    transition: transform .5s;
}

.pasion .bg-pasion-one img{
    width: 90%;
    max-width: 400px;
}

.servicios{
    background-image: url(../img/servicios.jpg);
    background-position: center;
    background-size: cover;
}

.servicios .service{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
.servicios .title{
    text-align: center;
    text-transform: uppercase;
    color: white;
    font-size: 40px;
    margin-bottom: 80px;
}

.servicios img{
    width: 80px;
    position: absolute;
    margin: 0 auto;
    top: -40px;
    left: 0;
    right: 0;
}
.servicios .info{
    width: 180px;
    background-image: url(../img/ourservices.png);
    background-position: center right;
    background-size: cover;
    position: relative;
    aspect-ratio: 1;
    padding: 60px 16px 10px;
    box-sizing: border-box;
}
.servicios .info .desc{
    color: black;
    text-align: center;
    font-size: 18px;
}

.gallery .grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 20px;
    grid-row-gap: 20px;
}

.gallery .grid .img{
    width: 90%;
    max-width: 300px;
    aspect-ratio: 100 / 69;
    margin: 0 auto;
    overflow: hidden;
}
.gallery .grid .img img:hover{
    transform: scale(1.1);
}
.gallery .grid .img img{
    width: 100%;
    transition: transform .5s;
}

.contact{
    background: url(../img/logo_gray.svg) no-repeat, #192926;
    background-blend-mode: multiply;
    background-position: center;
    background-size: contain;
}

.contact .cont{
    flex-direction: column;
    align-items: center;
}

.contact .btn-contact{
    width: fit-content;
    color: white;
    font-size: 18px;
    border: 1px solid var(--color-complement);
    padding: 8px 30px;
    margin-bottom: 25px;
    cursor: pointer;
}

.contact .phone{
    font-size: 20px;
    color: var(--color-complement);
    text-decoration: none;
    margin-bottom: 6px;
}

.contact .mail{
    font-size: 20px;
    color: var(--color-complement);
    text-decoration: none;
    margin-bottom: 40px;
}

.contact .redes .title{
    color: var(--color-complement);
    font-size: 20px;
}

.contact .redes .flex{
    align-items: center;
    justify-content: center;
}

.contact .redes img{
    width: 40px;
    margin: 10px 5px;
}

.overlay{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    background-color: rgb(0 0 0 / 70%);
    width: 100%;
    height: 100%;

    display: none;
    justify-content: center;
    align-items: center;
  }

  .mymodal{
    width: 90%;
    max-width: 900px;
    max-height: 90vh;
    overflow: auto;
    overflow-x: hidden;
    background-color: #ededed;
  }

  .mymodal .header{
    background-color: #192926;
    position: relative;
    padding: 15px 0;
  }
  .mymodal .header::before{
    content: '';
    background-image: url(../img/triangulo.png);
    background-position: left;
    width: 100px;
    position: absolute;
    bottom: -98px;
    left: -51px;
    aspect-ratio: 1;
    z-index: 0;
    background-size: cover;content: '';
  }

  .mymodal .header::after{
    content: '';
    background-image: url(../img/triangulo.png);
    background-position: left;
    width: 100px;
    position: absolute;
    bottom: -98px;
    right: -51px;
    aspect-ratio: 1;
    z-index: 0;
    background-size: cover;
    transform: scaleX(-1);
  }
  .mymodal .header .close-modal{
    width: 35px;
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
  }
  .mymodal .header .logo{
    width: 200px;
    margin: 25px auto;
    display: block;
  }
  .mymodal .body{
    background-color: white;
    padding: 20px;
    width: 90%;
    margin: 0 auto;
    position: relative;
  }
  .mymodal .body .title{
    text-transform: uppercase;
    text-align: center;
    color: var(--color-gray);
  }
  .mymodal .body form{
    width: 90%;
    margin: 25px auto;
    max-width: 700px;
  }

  .mymodal .body form label{
    display: block;
    text-transform: uppercase;
    color: var(--green-sec-color);
    margin: 20px 0 10px;
  }

  .mymodal .body form input{
    width: 100%;
    outline: none;
    border: 1px solid #ededed;
    padding: 10px;
    font-size: 20px;
    color: #373737;
    background-color: #ededed;
    box-sizing: border-box;
  }
  .mymodal .body form .half #nombre{
    width: 95%;
  }
  .mymodal .body form textarea{
    width: 100%;
    resize: none;
    height: 120px;
    outline: none;
    padding: 10px;
    font-size: 20px;
    color: #373737;
    background-color: #ededed;
    border: 1px solid #ededed;
    box-sizing: border-box;
  }
  .mymodal .body form .submit{
    width: 200px;
    margin: 45px 0 0 auto;
    display: block;
    color: var(--color-complement);
    background-color: #192926;
    font-size: 20px;
    text-transform: uppercase;
    border: none;
    cursor: pointer;
  }

  .btn-whats{
    width: 55px;
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 10;
  }

  @media only screen and (max-width: 980px){
    .slider .hero-text{
        width: 475px;
    }
  }

  @media only screen and (max-width: 750px){
    .inspira .cont-info .desc{
        font-size: 16px;
    }
  }
 
  @media only screen and (max-width: 630px){
    .slider .hero-text{
        width: 80%;
        margin: 0 auto;
        left: 0;
        right: 0;
        bottom: 120px;
        top: unset;
        max-width: 450px;
    }
    .half, .third{
        width: 100%;
    }

    .flex{
        flex-direction: column;
    }
    .nosotros .desc{
        margin: 20px auto;
    }
    .title-about{
        margin: 8px auto;
    }

    .bg-nosotros{
        max-width: unset;
        margin: 25px auto;
    }

    .order-2{
        order: 2;
    }

    .align-right{
        text-align: unset;
    }

    .contact .redes .flex{flex-direction: row;}

    .inspira .cont-info{
        margin: 20px auto;
    }

    .pasion .bg-pasion{
        margin: 20px auto;
    }
    .pasion .bg-pasion-one{
        padding: 0;
        background-size: 100%;

    }

    .pasion .bg-pasion-one img{
        max-width: 340px;
    }

    .servicios .service{
        margin: 40px auto;
    }
  }

  @media only screen and (max-width: 550px){
    .gallery .grid{
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, 1fr);
    }
    .pasion .bg-pasion-one{
        height: auto;
        background-image: unset!important;
    }

    .pasion .bg-pasion-one img{
        margin: 0 auto;
    }
    nav.menu{
        width: 235px;
    }

    nav ul li{
        margin: 5px 10px;
    }

    .mymodal .center-cont{
        flex-direction: column;
    }
    .mymodal .body form .half #nombre {
        width: 100%;
    }
  } 